//
//  ApplicationController.h
//  NibRuntimeLoad
//
//  Created by Patrick Geiller on 26/03/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface ApplicationController : NSObject {

	// An array of some dummy objects to display
				NSMutableArray*		someObjects;

	// Outlet to someObjects' controller
	IBOutlet	NSArrayController*	arrayController;
	// Outlet to textfield displaying time
	IBOutlet	NSTextField*		textfield;
	// Outlet to Window 2's checkbox - will be set when second NIB is loaded
	IBOutlet	NSButton*			checkbox;
}

- (IBAction)loadSecondNib:(id)sender;
- (IBAction)updateCurrentTime:(id)sender;
- (IBAction)toggleCheckbox:(id)sender;

@property (readonly) NSMutableArray*	someObjects;

@end
